#include <C:\PICC\Devices\16f877.h>    // identifica microcontrolador alvo  //Neste caso foi utilizado o compilado PICC,  necessrio colocar o caminho do arquivo do microprocessador 16f877.h.
#device ADC=10              // define AD para 10 bits, variando de 0 a 1023
#use delay (clock=20000000)  // <- define cristal para 20Mhz. Para outros valores, mude e recompile.
#include <cuscostdio.h>     // inclui biblioteca de funes do projeto CUSCOPiC
#use  RS232(baud=19200, parity=N, bits=8, xmit=PIN_C6,rcv=PIN_C7) // configura serial
 // serial configurada para velocidade de 9600 bps
 // sem paridade, 8 bits


char touper(char x)
  {
  if (x >= 'a' && x <= 'z') x -= ('a'-'A'); // converte caracter para maiusculo
  return(x);
  }

void erro()
  {
  printf("\n\rX");
  }



void main()       // funo principal
{
  char x,y, linha[17];
  signed long aux;
  int index;
  //lcd_init();
  //printf("\n\rStarting AD Monitor\n\r");
  //y=128;
   //lcd_putc("\fAD0 Monitor..4");
  while(1) // lao infinito
  {
    if (!kbhit()) continue;
    x = getch();
    if (x == 'A') {
      aux = AD(0);
      printf("%04li", aux);
    } else if (x == 'B') {
      output_d(y);
      if (y) y=0; else y=128;
    } else if (x == 'C') {
      index=0;
      do {
         linha[index]=getch();
         index++;
      } while(linha[index-1]);
      lcd_gotoxy(1,2);
      printf(lcd_putc,"SLIDER=%s", linha);
    }
//    delay_ms(200);
  }
}
